Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 161213 - ooffice segfaults when trying to open Help
Summary: ooffice segfaults when trying to open Help
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: openoffice.org
Version: 4
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-21 14:20 UTC by Markku Kolkka
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-06-29 09:22:33 UTC


Attachments (Terms of Use)
GDB backtrace (deleted)
2005-06-21 14:25 UTC, Markku Kolkka
no flags Details

Description Markku Kolkka 2005-06-21 14:20:32 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; fi-FI; rv:1.7.8) Gecko/20050524 Fedora/1.0.4-4 Firefox/1.0.4

Description of problem:
When I try to access the Help function either with F1 or through the menu in any Openoffice.Org component a blank grey window is opened for a while, then the program crashes with a segmentation fault. "top" shows the soffice.bin process using all CPU and an increasing amount of memory before it crashes.

Version-Release number of selected component (if applicable):
openoffice.org-writer-1.9.104-2

How reproducible:
Always

Steps to Reproduce:
1. ooffice
2. Hit F1

  

Actual Results:  $ ooffice
/usr/lib/openoffice.org1.9.104/program/soffice: line 247:  5068 Segmentation fault      (core dumped) "$sd_prog/$sd_binary" "$@"


Expected Results:  Help display opens.

Additional info:

I'm not using nVidia or ATI binary X drivers or any other third-party drivers tainting the kernel.

Comment 1 Markku Kolkka 2005-06-21 14:25:58 UTC
Created attachment 115747 [details]
GDB backtrace

Just the beginning of the backtrace, it seems to continue to infinity repeating
a few lines.

Comment 2 Caolan McNamara 2005-06-29 09:22:33 UTC
should be ok in 1.9.112


Note You need to log in before you can comment on or make changes to this bug.